import type { Commitment, IRpcApiMethods, Slot } from '@solana/rpc-types';
type GetBlocksWithLimitApiResponse = Slot[];
export interface GetBlocksWithLimitApi extends IRpcApiMethods {
    /**
     * Returns a list of confirmed blocks starting at the given slot
     * for up to `limit` blocks
     */
    getBlocksWithLimit(startSlot: Slot, limit: number, config?: Readonly<{
        commitment?: Exclude<Commitment, 'processed'>;
    }>): GetBlocksWithLimitApiResponse;
}
export {};
//# sourceMappingURL=getBlocksWithLimit.d.ts.map