import { Address } from '@solana/addresses';
import type { Commitment, IRpcApiMethods, LamportsUnsafeBeyond2Pow53Minus1, Slot, U64UnsafeBeyond2Pow53Minus1 } from '@solana/rpc-types';
type GetInflationRewardApiResponse = Readonly<{
    amount: LamportsUnsafeBeyond2Pow53Minus1;
    commission: number;
    effectiveSlot: Slot;
    epoch: U64UnsafeBeyond2Pow53Minus1;
    postBalance: LamportsUnsafeBeyond2Pow53Minus1;
}>;
export interface GetInflationRewardApi extends IRpcApiMethods {
    /**
     * Returns the current block height of the node
     */
    getInflationReward(addresses: Address[], config?: Readonly<{
        commitment?: Commitment;
        epoch?: U64UnsafeBeyond2Pow53Minus1;
        minContextSlot?: Slot;
    }>): Promise<readonly (GetInflationRewardApiResponse | null)[]>;
}
export {};
//# sourceMappingURL=getInflationReward.d.ts.map